fr:
  languages:
    ab: "abkhaze"
    ace: "aceh"
    ach: "acoli"
    ada: "adangme"
    ady: "adyghéen"
    ae: "avestique"
    af: "afrikaans"
    afa: "langue afro-asiatique"
    afh: "afrihili"
    ain: "aïnou"
    ak: "akan"
    akk: "akkadien"
    ale: "aléoute"
    alg: "langue algonquienne"
    alt: "altaï du Sud"
    am: "amharique"
    an: "aragonais"
    ang: "ancien anglais"
    anp: "angika"
    apa: "langue apache"
    ar: "arabe"
    arc: "araméen"
    arn: "araukan"
    arp: "arapaho"
    art: "langue artificielle"
    arw: "arawak"
    as: "assamais"
    ast: "asturien"
    ath: "langue athapascane"
    aus: "langue australienne"
    av: "avar"
    awa: "awadhi"
    ay: "aymara"
    az: "azéri"
    ba: "bachkir"
    bad: "banda"
    bai: "langue bamilékée"
    bal: "baloutchi"
    ban: "balinais"
    bas: "bassa"
    bat: "langue balte"
    be: "biélorusse"
    bej: "bedja"
    bem: "bemba"
    ber: "berbère"
    bg: "bulgare"
    bh: "bihari"
    bho: "bhojpuri"
    bi: "bichelamar"
    bik: "bikol"
    bin: "bini"
    bla: "siksika"
    bm: "bambara"
    bn: "bengali"
    bnt: "bantou"
    bo: "tibétain"
    br: "breton"
    bra: "braj"
    bs: "bosniaque"
    btk: "batak"
    bua: "bouriate"
    bug: "bugi"
    byn: "blin"
    ca: "catalan"
    cad: "caddo"
    cai: "langue amérindienne centrale"
    car: "caribe"
    cau: "langue caucasienne"
    cch: "atsam"
    ce: "tchétchène"
    ceb: "cebuano"
    cel: "langue celtique"
    ch: "chamorro"
    chb: "chibcha"
    chg: "tchaghataï"
    chk: "chuuk"
    chm: "mari"
    chn: "jargon chinook"
    cho: "choctaw"
    chp: "chipewyan"
    chr: "cherokee"
    chy: "cheyenne"
    cmc: "langue chame"
    co: "corse"
    cop: "copte"
    cpe: "créole ou pidgin anglais"
    cpf: "créole ou pidgin français"
    cpp: "créole ou pidgin portugais"
    cr: "cree"
    crh: "turc de Crimée"
    crp: "créole ou pidgin"
    cs: "tchèque"
    csb: "kachoube"
    cu: "slavon d’église"
    cus: "langue couchitique"
    cv: "tchouvache"
    cy: "gallois"
    da: "danois"
    dak: "dakota"
    dar: "dargwa"
    day: "dayak"
    de: "allemand"
    "de-AT": "allemand autrichien"
    "de-CH": "allemand suisse"
    del: "delaware"
    den: "slavey"
    dgr: "dogrib"
    din: "dinka"
    doi: "dogri"
    dra: "langue dravidienne"
    dsb: "bas-sorabe"
    dua: "douala"
    dum: "moyen néerlandais"
    dv: "maldivien"
    dyu: "dioula"
    dz: "dzongkha"
    ee: "éwé"
    efi: "efik"
    egy: "égyptien ancien"
    eka: "ekajuk"
    el: "grec"
    elx: "élamite"
    en: "anglais"
    "en-AU": "anglais australien"
    "en-CA": "anglais canadien"
    "en-GB": "anglais britannique"
    "en-US": "anglais américain"
    enm: "moyen anglais"
    eo: "espéranto"
    es: "espagnol"
    "es-ES": "espagnol ibérique"
    et: "estonien"
    eu: "basque"
    ewo: "éwondo"
    fa: "persan"
    fan: "fang"
    fat: "fanti"
    ff: "peul"
    fi: "finnois"
    fil: "filipino"
    fiu: "langue finno-ougrienne"
    fj: "fidjien"
    fo: "féroïen"
    fon: "fon"
    fr: "français"
    "fr-CA": "français canadien"
    "fr-CH": "français suisse"
    frm: "moyen français"
    fro: "ancien français"
    frr: "frison du Nord"
    frs: "frison oriental"
    fur: "frioulan"
    fy: "frison"
    ga: "irlandais"
    gaa: "ga"
    gay: "gayo"
    gba: "gbaya"
    gd: "gaélique écossais"
    gem: "langue germanique"
    gez: "guèze"
    gil: "gilbertais"
    gl: "galicien"
    gmh: "moyen haut-allemand"
    gn: "guarani"
    goh: "ancien haut allemand"
    gon: "gondi"
    gor: "gorontalo"
    got: "gotique"
    grb: "grebo"
    grc: "grec ancien"
    gsw: "alémanique"
    gu: "goudjarâtî"
    gv: "manx"
    gwi: "gwichʼin"
    ha: "haoussa"
    hai: "haida"
    haw: "hawaïen"
    he: "hébreu"
    hi: "hindi"
    hil: "hiligaynon"
    him: "himachali"
    hit: "hittite"
    hmn: "hmong"
    ho: "hiri motu"
    hr: "croate"
    hsb: "haut-sorabe"
    ht: "haïtien"
    hu: "hongrois"
    hup: "hupa"
    hy: "arménien"
    hz: "héréro"
    ia: "interlingua"
    iba: "iban"
    id: "indonésien"
    ie: "interlingue"
    ig: "igbo"
    ii: "yi de Sichuan"
    ijo: "ijo"
    ik: "inupiaq"
    ilo: "ilokano"
    inc: "langue indo-aryenne"
    ine: "langue indo-européenne"
    inh: "ingouche"
    io: "ido"
    ira: "langue iranienne"
    iro: "langue iroquoienne"
    is: "islandais"
    it: "italien"
    iu: "inuktitut"
    ja: "japonais"
    jbo: "lojban"
    jpr: "judéo-persan"
    jrb: "judéo-arabe"
    jv: "javanais"
    ka: "géorgien"
    kaa: "karakalpak"
    kab: "kabyle"
    kac: "kachin"
    kaj: "jju"
    kam: "kamba"
    kar: "karen"
    kaw: "kawi"
    kbd: "kabardin"
    kcg: "tyap"
    kfo: "koro"
    kg: "kongo"
    kha: "khasi"
    khi: "langue khoïsan"
    kho: "khotanais"
    ki: "kikuyu"
    kj: "kuanyama"
    kk: "kazakh"
    kl: "groenlandais"
    km: "khmer"
    kmb: "kiMboundou"
    kn: "kannada"
    ko: "coréen"
    kok: "konkani"
    kos: "kusaien"
    kpe: "kpellé"
    kr: "kanouri"
    krc: "karatchaï balkar"
    krl: "carélien"
    kro: "krou"
    kru: "kurukh"
    ks: "kâshmîrî"
    ku: "kurde"
    kum: "koumyk"
    kut: "kutenai"
    kv: "komi"
    kw: "cornique"
    ky: "kirghize"
    la: "latin"
    lad: "ladino"
    lah: "lahnda"
    lam: "lamba"
    lb: "luxembourgeois"
    lez: "lezghien"
    lg: "ganda"
    li: "limbourgeois"
    ln: "lingala"
    lo: "lao"
    lol: "mongo"
    loz: "lozi"
    lt: "lituanien"
    lu: "luba-katanga"
    lua: "luba-lulua"
    lui: "luiseno"
    lun: "lunda"
    luo: "luo"
    lus: "lushai"
    lv: "letton"
    mad: "madurais"
    mag: "magahi"
    mai: "maithili"
    mak: "makassar"
    man: "mandingue"
    map: "malayo-polynésien"
    mas: "masai"
    mdf: "moksa"
    mdr: "mandar"
    men: "mendé"
    mg: "malgache"
    mga: "moyen irlandais"
    mh: "marshall"
    mi: "maori"
    mic: "micmac"
    min: "minangkabau"
    mis: "langue diverse"
    mk: "macédonien"
    mkh: "langue mon-khmère"
    ml: "malayalam"
    mn: "mongol"
    mnc: "mandchou"
    mni: "manipuri"
    mno: "langue manobo"
    mo: "moldave"
    moh: "mohawk"
    mos: "moré"
    mr: "marathe"
    ms: "malais"
    mt: "maltais"
    mul: "multilingue"
    mun: "langue mounda"
    mus: "creek"
    mwl: "mirandais"
    mwr: "marwarî"
    my: "birman"
    myn: "langue maya"
    myv: "erzya"
    na: "nauruan"
    nah: "nahuatl"
    nai: "langue amérindienne du Nord"
    nap: "napolitain"
    nb: "norvégien bokmål"
    nd: "ndébélé du Nord"
    nds: "bas-allemand"
    ne: "népalais"
    new: "newari"
    ng: "ndonga"
    nia: "nias"
    nic: "langue nigéro-congolaise"
    niu: "niué"
    nl: "néerlandais"
    "nl-BE": "néerlandais belge"
    nn: "norvégien nynorsk"
    no: "norvégien"
    nog: "nogaï"
    non: "vieux norrois"
    nqo: "n’ko"
    nr: "ndébélé du Sud"
    nso: "sotho du Nord"
    nub: "langue nubienne"
    nv: "navaho"
    nwc: "newarî classique"
    ny: "nyanja"
    nym: "nyamwezi"
    nyn: "nyankolé"
    nyo: "nyoro"
    nzi: "nzema"
    oc: "occitan"
    oj: "ojibwa"
    om: "oromo"
    or: "oriya"
    os: "ossète"
    osa: "osage"
    ota: "turc ottoman"
    oto: "langue otomangue"
    pa: "pendjabi"
    paa: "langue papoue"
    pag: "pangasinan"
    pal: "pahlavi"
    pam: "pampangan"
    pap: "papiamento"
    pau: "palau"
    peo: "persan ancien"
    phi: "langue philippine"
    phn: "phénicien"
    pi: "pali"
    pl: "polonais"
    pon: "pohnpei"
    pra: "langues prâkrit"
    pro: "provençal ancien"
    ps: "pachto"
    pt: "portugais"
    "pt-BR": "portugais brésilien"
    "pt-PT": "portugais ibérique"
    qu: "langue quechua"
    raj: "rajasthani"
    rap: "rapanui"
    rar: "rarotongien"
    rm: "rhéto-roman"
    rn: "roundi"
    ro: "roumain"
    roa: "langue romane"
    rom: "tzigane"
    ru: "russe"
    rup: "valaque"
    rw: "rwanda"
    sa: "sanskrit"
    sad: "sandawe"
    sah: "iakoute"
    sai: "langue amérindienne du Sud"
    sal: "langue salishenne"
    sam: "araméen samaritain"
    sas: "sasak"
    sat: "santal"
    sc: "sarde"
    scn: "sicilien"
    sco: "écossais"
    sd: "sindhî"
    se: "sami du Nord"
    sel: "selkoupe"
    sem: "langue sémitique"
    sg: "sangho"
    sga: "ancien irlandais"
    sgn: "langue des signes"
    sh: "serbo-croate"
    shn: "shan"
    si: "singhalais"
    sid: "sidamo"
    sio: "langue sioux"
    sit: "langue sino-tibétaine"
    sk: "slovaque"
    sl: "slovène"
    sla: "langue slave"
    sm: "samoan"
    sma: "sami du Sud"
    smi: "langue samie"
    smj: "sami de Lule"
    smn: "sami d’Inari"
    sms: "sami skolt"
    sn: "shona"
    snk: "soninké"
    so: "somali"
    sog: "sogdien"
    son: "songhai"
    sq: "albanais"
    sr: "serbe"
    srn: "sranan tongo"
    srr: "sérère"
    ss: "swati"
    ssa: "langue nilo-saharienne"
    st: "sesotho"
    su: "soundanais"
    suk: "sukuma"
    sus: "soussou"
    sux: "sumérien"
    sv: "suédois"
    sw: "swahili"
    syc: "syriaque classique"
    syr: "syriaque"
    ta: "tamoul"
    tai: "langue taï"
    te: "télougou"
    tem: "temne"
    ter: "tereno"
    tet: "tetum"
    tg: "tadjik"
    th: "thaï"
    ti: "tigrigna"
    tig: "tigré"
    tiv: "tiv"
    tk: "turkmène"
    tkl: "tokelau"
    tl: "tagalog"
    tlh: "klingon"
    tli: "tlingit"
    tmh: "tamacheq"
    tn: "tswana"
    to: "tongan"
    tog: "tonga nyasa"
    tpi: "tok pisin"
    tr: "turc"
    ts: "tsonga"
    tsi: "tsimshian"
    tt: "tatar"
    tum: "tumbuka"
    tup: "langue tupi"
    tut: "langue altaïque"
    tvl: "tuvalu"
    tw: "twi"
    ty: "tahitien"
    tyv: "touva"
    udm: "oudmourte"
    ug: "ouïgour"
    uga: "ougaritique"
    uk: "ukrainien"
    umb: "umbundu"
    und: "indéterminé"
    ur: "ourdou"
    uz: "ouzbek"
    vai: "vaï"
    ve: "venda"
    vi: "vietnamien"
    vo: "volapuk"
    vot: "vote"
    wa: "wallon"
    wak: "langues wakashennes"
    wal: "walamo"
    war: "waray"
    was: "washo"
    wen: "langue sorabe"
    wo: "wolof"
    xal: "kalmouk"
    xh: "xhosa"
    yao: "yao"
    yap: "yapois"
    yi: "yiddish"
    yo: "yoruba"
    ypk: "langues yupik"
    za: "zhuang"
    zap: "zapotèque"
    zbl: "symboles Bliss"
    zen: "zenaga"
    zh: "chinois"
    zh-Hans: "chinois simplifié"
    zh-Hant: "chinois traditionnel"
    znd: "zandé"
    zu: "zoulou"
    zun: "zuni"
    zxx: "sans contenu linguistique"
    zza: "zazaki"
